#include "nsIGenericFactory.h"
#include "nsControlCharStripper.h"
#include "nsScriptPaginator.h"
#include "nsActTracker.h"
#include "nsSceneTracker.h"
#include "nsShotTracker.h"
#include "nsScriptScene.h"
#include "nsCeltxDebugBreaker.h"

NS_GENERIC_FACTORY_CONSTRUCTOR(nsControlCharStripper)
NS_GENERIC_FACTORY_CONSTRUCTOR(nsScriptPaginator)
NS_GENERIC_FACTORY_CONSTRUCTOR(nsActTracker)
NS_GENERIC_FACTORY_CONSTRUCTOR(nsSceneTracker)
NS_GENERIC_FACTORY_CONSTRUCTOR(nsShotTracker)
NS_GENERIC_FACTORY_CONSTRUCTOR(nsScriptScene)
NS_GENERIC_FACTORY_CONSTRUCTOR(nsCeltxDebugBreaker)

static const nsModuleComponentInfo components[] =
{
  { "ControlCharStripper",
    NS_CONTROLCHARSTRIPPER_CID,
    NS_CONTROLCHARSTRIPPER_CONTRACTID,
    nsControlCharStripperConstructor
  },
  { "ScriptPaginator",
    NS_SCRIPTPAGINATOR_CID,
    NS_SCRIPTPAGINATOR_CONTRACTID,
    nsScriptPaginatorConstructor
  },
  { "ActTracker",
    NS_ACTTRACKER_CID,
    NS_ACTTRACKER_CONTRACTID,
    nsActTrackerConstructor
  },
  { "SceneTracker",
    NS_SCENETRACKER_CID,
    NS_SCENETRACKER_CONTRACTID,
    nsSceneTrackerConstructor
  },
  { "ShotTracker",
    NS_SHOTTRACKER_CID,
    NS_SHOTTRACKER_CONTRACTID,
    nsShotTrackerConstructor
  },
  { "ScriptScene",
    NS_SCRIPTSCENE_CID,
    NS_SCRIPTSCENE_CONTRACTID,
    nsScriptSceneConstructor
  },
  { "CeltxDebugBreaker",
    NS_CELTXDEBUGBREAKER_CID,
    NS_CELTXDEBUGBREAKER_CONTRACTID,
    nsCeltxDebugBreakerConstructor
  }
};

NS_IMPL_NSGETMODULE(nsCeltxModule, components)
