#ifndef SCRIPT_SCENE_H_
#define SCRIPT_SCENE_H_

#define NS_SCRIPTSCENE_CID                    \
{ /* 47DDDC7F-BE23-439F-90E6-845D0A71FD72 */  \
0x47dddc7f, 0xbe23, 0x439f,                   \
{ 0x90, 0xe6, 0x84, 0x5d, 0x0a, 0x71, 0xfd, 0x72 } }

#define NS_SCRIPTSCENE_CONTRACTID "@celtx.com/scriptscene;1"

#include "nsIScriptScene.h"
#include "nsIRDFService.h"
#include "nsIRDFContainerUtils.h"
#include "nsCOMPtr.h"
#include "nsIDOMHTMLParagraphElement.h"

class nsScriptScene : public nsIScriptScene {
public:
  NS_DECL_ISUPPORTS

  nsScriptScene () {}
  virtual ~nsScriptScene () {}

  NS_IMETHOD Init (nsIRDFDataSource* ds, nsIRDFResource* sceneres);
  NS_IMETHOD ExtractBreakdownFromScene (nsIDOMElement* sceneheading, nsIScriptMarkupValidator* validator);

  NS_IMETHOD AddItem (nsIRDFResource* itemres, PRBool suppressSizeUpdate);
  NS_IMETHOD RemoveItem (nsIRDFResource* itemres);
  NS_IMETHOD ContainsItem (nsIRDFResource* itemres, PRBool* result);

  NS_IMETHOD AddToMarkup (nsIRDFResource* itemres);
  NS_IMETHOD RemoveFromMarkup (nsIRDFResource* itemres);
  NS_IMETHOD ContainsInMarkup (nsIRDFResource* itemres, PRBool* result);

protected:
  NS_IMETHOD GetDeptSequence (nsIRDFResource* deptres, PRBool force, nsIRDFContainer** result);
  NS_IMETHOD UpdateSeqSize (nsIRDFContainer* seq);

private:
  nsCOMPtr<nsIRDFDataSource> mDS;
  nsCOMPtr<nsIRDFResource> mSceneres;

  nsCOMPtr<nsIRDFContainer> mMembers;
  nsCOMPtr<nsIRDFContainer> mMarkup;
};

#endif // SCRIPT_SCENE_H_
